%define name file-browser-applet
%define version 0.6.4
%define release %mkrel 1

Summary:    File-Browser-Applet
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    GPLv2
Group:      Graphical desktop/GNOME
URL:        http://code.google.com/p/gnome-menu-file-browser-applet/
Source:    %{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake >= 2.4.7
BuildRequires: gnome-panel-devel

%description
File Browser Applet is an applet for the GNOME Panel.
Browse and open files in your computer from the GNOME panel.
It lets you browse and open files in your home directory from the gnome panel, 
without having to open a file manager.This Applet just saves you couple of clicks.
It is not intended as replacement for file managers like nautilus.


%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
cd build
cmake	-DCMAKE_INSTALL_PREFIX=/usr	\
	-DCMAKE_INSTALL_LIB_PREFIX=/usr/lib	\
	-DCMAKE_INSTALL_LIBEXEC_DIR=/libexec \
	-DCMAKE_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas ..
make VERBOSE=1
%make 

%install
rm -rf %{buildroot}
cd build
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std 

convert  -resize 48x48 %{buildroot}%{_datadir}/pixmaps/%{name}.png\
          %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post
touch --no-create %{_datadir}/icons/hicolor
%post_install_gconf_schemas %{name} 

%preun
%preun_uninstall_gconf_schemas %{name}

%postun
touch --no-create %{_datadir}/icons/hicolor

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README INSTALL HISTORY COPYING
%{_libexecdir}/file-browser-applet
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/128x128/apps/*.png
%{_libdir}/bonobo/servers/*.server
%{_datadir}/pixmaps/*.png


%changelog
* Fri Jun 26 2009 slick50 <lxgator@gmail.com> 0.6.4-1pclos2009
- 0.6.4

* Fri Jun 26 2009 slick50 <lxgator@gmail.com> 0.6.3-1pclos2009
- 0.6.3

* Sun Apr 19 2009 slick50 <lxgator@gmail.com> 0.6.2-2pclos2007
- rebuild

* Fri Apr 17 2009 slick50 <lxgator@gmail.com> 0.6.2-1pclos2007
- initial pkg

